Users
Get user's permissions for all joined groups.
Returns a mapping of GroupIDs to arrays of GroupPermissions.
Authorization
authCookie auth<token>
Auth Token via Cookie
In: cookie
Path Parameters
userId*string
Must be a valid user ID.
Query Parameters
groupIds?string
Comma-separated (no spaces!) list of GroupIDs to retrieve permissions for.
Response Body
application/json
application/json
curl -X GET "https://api.vrchat.cloud/api/1/users/string/groups/permissions"{
"property1": [
"*"
],
"property2": [
"*"
]
}{
"error": {
"message": "\"Missing Credentials\"",
"status_code": 401
}
}Get User Mutuals GET
Gets the counts of mutuals between the logged in user and the specified user
Get User by Username GET
~~Get public user information about a specific user using their name.~~ **DEPRECATED:** VRChat API no longer return usernames of other users. [See issue by Tupper for more information](https://github.com/pypy-vrc/VRCX/issues/429). This endpoint now require Admin Credentials.